Retrieves a report defined by a search query. The response might contain fewer rows than specified by pageSize. Rely on nextPageToken to determine if there are more rows to be requested.
For more information, see Get started, Use Merchant Center Query Language, and Paginate query results.
HTTP request
POST https://merchantapi.googleapis.com/reports/v1alpha/{parent=accounts/*}/reports:search
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Id of the account making the call. Must be a standalone account or a subaccount of an advanced account. Format: accounts/{account} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "query": string, "pageSize": integer, "pageToken": string } |
| Fields | |
|---|---|
query |
Required. Query that defines a report to be retrieved. For details on how to construct your query, see the Query Language guide. For the full list of available tables and fields, see the |
pageSize |
Optional. Number of |
pageToken |
Optional. Token of the page to retrieve. If not specified, the first page of results is returned. In order to request the next page of results, the value obtained from |
Response body
Response message for the ReportService.Search method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"results": [
{
object ( |
| Fields | |
|---|---|
results[] |
Rows that matched the search query. |
nextPageToken |
Token which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.